Bug 961418 - [abrt] WARNING: at kernel/lockdep.c:702 __lock_acquire+0x1545/0x1630()
[abrt] WARNING: at kernel/lockdep.c:702 __lock_acquire+0x1545/0x1630()
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-05-09 11:08 EDT by Peter Trenholme
Modified: 2013-05-14 10:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-05-14 10:12:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: dmesg (77.19 KB, text/plain)
2013-05-09 11:08 EDT, Peter Trenholme
no flags Details

  None (edit)
Description Peter Trenholme 2013-05-09 11:08:33 EDT
Description of problem:
Started "Install" from F-19 Live (A;pha 1) from a USB stick (16Gb) to a USB drive (500Gb) using whole disk, btrfs partition, no encription. (Live installation updated 8 May).

Additional info:
reporter:       libreport-2.1.4
WARNING: at kernel/lockdep.c:702 __lock_acquire+0x1545/0x1630()
Hardware name: p6710f
Modules linked in: xfs fcoe libfcoe libfc scsi_transport_fc scsi_tgt iscsi_ibft iscsi_boot_sysfs iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi dm_crypt vfat fat dm_round_robin dm_multipath raid10 raid456 async_raid6_recov async_memcpy async_pq async_xor async_tx raid0 nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 bnep bluetooth iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables joydev raid1 acpi_cpufreq mperf arc4 kvm_amd hid_gyration rt2800pci kvm rt2800lib snd_hda_codec_hdmi rt2x00pci rt2x00mmio rt2x00lib eeprom_93cx6 mac80211 microcode snd_hda_codec_realtek snd_hda_intel serio_raw k10temp snd_hda_codec cfg80211 snd_hwdep snd_seq snd_seq_device snd_pcm rfkill crc_ccitt snd_page_alloc snd_timer sp5100_tco snd soundcore i2c_piix4 uinput squashfs btrfs libcrc32c xor zlib_deflate raid6_pq radeon i2c_algo_bit drm_kms_helper ttm r8169 drm mii i2c_core wmi usb_storage sunrpc
Pid: 2490, comm: umount Not tainted 3.9.0-0.rc6.git2.3.fc19.i686 #1
Call Trace:
 [<c0441e63>] warn_slowpath_common+0x63/0x80
 [<c04aada5>] ? __lock_acquire+0x1545/0x1630
 [<c04aada5>] ? __lock_acquire+0x1545/0x1630
 [<c0441f22>] warn_slowpath_null+0x22/0x30
 [<c04aada5>] __lock_acquire+0x1545/0x1630
 [<c04a65cb>] ? trace_hardirqs_off+0xb/0x10
 [<c04a9aaf>] ? __lock_acquire+0x24f/0x1630
 [<c0409348>] ? sched_clock+0x8/0x10
 [<c047e39d>] ? sched_clock_cpu+0xed/0x150
 [<c04ab4ab>] lock_acquire+0x8b/0x1b0
 [<f8a7323b>] ? btrfs_tree_lock+0xdb/0x200 [btrfs]
 [<c0a30ae7>] _raw_write_lock+0x47/0x80
 [<f8a7323b>] ? btrfs_tree_lock+0xdb/0x200 [btrfs]
 [<f8a7323b>] btrfs_tree_lock+0xdb/0x200 [btrfs]
 [<f8a5cd80>] ? alloc_extent_buffer+0x560/0x560 [btrfs]
 [<f8a233a1>] do_walk_down+0xc1/0x570 [btrfs]
 [<c0409348>] ? sched_clock+0x8/0x10
 [<c047e39d>] ? sched_clock_cpu+0xed/0x150
 [<c047e4c5>] ? local_clock+0x55/0x60
 [<f8a238ea>] walk_down_tree+0x9a/0xc0 [btrfs]
 [<f8a26080>] btrfs_drop_snapshot+0x370/0x5d0 [btrfs]
 [<f8a8f438>] ? btrfs_kill_all_delayed_nodes+0xe8/0xf0 [btrfs]
 [<f8a3a1f3>] ? btrfs_clean_old_snapshots+0x63/0xd0 [btrfs]
 [<f8a3a206>] btrfs_clean_old_snapshots+0x76/0xd0 [btrfs]
 [<f8a3357f>] btrfs_commit_super+0x2f/0xf0 [btrfs]
 [<f8a4c911>] ? btrfs_cleanup_defrag_inodes+0x71/0xb0 [btrfs]
 [<f8a34e22>] close_ctree+0x352/0x3a0 [btrfs]
 [<c058db9b>] ? evict+0xeb/0x170
 [<c058dc51>] ? dispose_list+0x31/0x40
 [<c058e72a>] ? evict_inodes+0xca/0xe0
 [<f8a08316>] btrfs_put_super+0x16/0x20 [btrfs]
 [<c05770be>] generic_shutdown_super+0x4e/0xc0
 [<c05777ec>] ? deactivate_super+0x3c/0x60
 [<c05772d1>] kill_anon_super+0x11/0x20
 [<f8a0bb14>] btrfs_kill_super+0x14/0x80 [btrfs]
 [<c057776c>] deactivate_locked_super+0x2c/0x70
 [<c05777f3>] deactivate_super+0x43/0x60
 [<c05938e6>] mntput_no_expire+0xa6/0x100
 [<c0594571>] sys_umount+0x81/0x350
 [<c059485e>] sys_oldumount+0x1e/0x20
 [<c0a388cd>] sysenter_do_call+0x12/0x38
Comment 1 Peter Trenholme 2013-05-09 11:08:54 EDT
Created attachment 745683 [details]
File: dmesg
Comment 2 Josef Bacik 2013-05-13 10:11:55 EDT
Does this still happen with 3.9 proper?  If so could you please try my git tree


Comment 3 Peter Trenholme 2013-05-13 18:38:10 EDT
Oops, sorry! I forgot to tell you that the problem no longer occurs since 3.9.1.
Comment 4 Josh Boyer 2013-05-14 10:12:49 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.